/*
    Created on : 23 sept. 2019, 16:37:33
    Author     : Audrey Delécolle
*/

label.error {
	color:#e40f1e;
}

.woocommerce-checkout .site-main,
.woocommerce-cart .site-main {
	padding-top:2rem;
	background:url('../img/cart-bg.jpg') no-repeat;
	background-size:100% auto
}
.woocommerce-checkout .entry-title a,
.woocommerce-cart .entry-title a {
	color:#e40f1e;
	font-weight:500;
	font-size:40px;
	text-transform:uppercase;
}
.woocommerce-cart .shop_table { border:none; table-layout:auto }
.woocommerce-cart .shop_table th { border:none }
.woocommerce-cart .shop_table td {
	border-left:none;
	border-right:none;
	border-top:none;
	border-bottom:1px solid #707173;
	font-size:32px;
	font-weight:300;
	padding:0.9em 0;
}
.woocommerce-cart .shop_table tr:first-child td {
	border-top:1px solid #707173;
}
.woocommerce-cart .shop_table th {
	color:#e40f1e;
	font-weight:600;
	font-size:30px;
	padding:1.42em 0
}
.woocommerce-cart .shop_table th.product-remove { min-width:10% }
.woocommerce-cart .product-remove a.remove {
	text-indent:-99999%;
	background:url('../img/cart-remove.png') no-repeat;
	background-size:cover;
	width:27px; height:26px;
	display:inline-block;
}
.woocommerce-cart .product-thumbnail img { width:auto; max-height:113px }

.woocommerce-cart .shop_table th.product-name,
.woocommerce-cart .shop_table th.product-price,
.woocommerce-cart .shop_table td.product-name,
.woocommerce-cart .shop_table td.product-price {
	text-align:center;
}
.woocommerce-cart .cart-subtotal td,
.woocommerce-cart .shop_table th.product-subtotal,
.woocommerce-cart .shop_table td.product-subtotal {
	text-align:right;
}
.woocommerce-cart .cart-subtotal th{ color:#fff; text-align:center }
.woocommerce-cart .cart-subtotal td { font-weight:600; border-bottom:none }
.woocommerce-cart .wc-proceed-to-checkout { text-align:right }
.woocommerce-cart .wc-proceed-to-checkout a { font-size:20px; }

/**
* CHECKOUT
*/
#wizard { padding-bottom:5.5em }
.woocommerce-checkout .entry-title { margin-bottom:1.95em }
.woocommerce-checkout .steps {
	padding-bottom: 1.9em;
	border-bottom: 1px solid #707173;
	margin-bottom:3em;
}
.steps ul, .wizard ul{
    list-style: none;
    padding: 0;
    margin: 0;
}
.steps ul{ display:flex }
.tabcontrol ul > li,
.wizard > .steps > ul > li {
    display: block;
	flex:auto;
    padding: 0;
	width:auto !important;
	margin-left: 0;
	padding:0 1.85em;
	border-left:1px solid #707173;
    text-align: center;
}
.wizard .actions { text-align:right; display:none }
body.logged-in .wizard .actions { display:block; padding-top:5.5em }
.wizard .actions li { display:inline-block }
.wizard .actions li a { font-size:20px; min-width:200px; box-sizing:border-box }
.wizard .actions li:first-child { margin-right:2em }
.wizard > .steps > ul > li:first-child { text-align:left; border:none; padding-left:0 }
.wizard > .steps > ul > li:last-child { text-align:right; padding-right:0 }

.tabcontrol > .content > .title, .tabcontrol > .steps .current-info, .wizard > .content > .title, .wizard > .steps .current-info {
    position: absolute;
    left: -999em;
}
.wizard > .content { margin:0 }

.wizard > .steps .disabled a,
.wizard > .steps .disabled a:active,
.wizard > .steps a,
.wizard > .steps a:active,
.wizard > .steps a:hover {
    display: block;
	color:#fff;
	background-color:transparent;
	text-transform:uppercase;
	font-weight:300; /*500*/
	font-size:20px;
}
.wizard > .steps .current a,
.wizard > .steps .current a:active,
.wizard > .steps .current a:hover {
	background-color:transparent;
	font-weight:600;
}
.wizard > .steps .number { font-size:inherit }
#wizard #place_order,
#wizard .wizard-title,
.woocommerce-billing-fields > h3 {
	text-transform:uppercase;
    color:#e40f1e;
	font-weight:500;
	font-size:25px;
	margin-bottom:1.25em;
}

.wizard-intro { font-weight:300; font-size:20px; line-height:normal }
/* login */
#wizard .login-step .btn { font-size:20px }
#wizard .u-columns .u-column2 {
	margin-top:1em;
	padding-top:2.7em;
	border-top:1px solid #707173
}

.woocommerce form .form-row label {
	display:block;
	font-size:20px;
	font-weight:500;
	margin-bottom:0.6em;
}
.woocommerce-checkout .optional { display:none }
/* SHIPPING */
.woocommerce-shipping-fields label i { font-size:18px }
.woocommerce-shipping-fields #shop-list { display:none }
.woocommerce-checkout .shipping-text { font-weight:600; font-size:20px }
.woocommerce .woocommerce-additional-fields .notes label { display:none }
.woocommerce .woocommerce-additional-fields textarea {
	height: 9em;
	padding: 1.1em;
	font-weight: 300;
	font-size: 22px;
	box-sizing: border-box;
	margin-bottom:0.5em;
}

.woocommerce form .shipping_option_shop_choice_field input,
.woocommerce form .shipping_option_shop_choice_field label {
	display:inline-block;
	vertical-align:middle;
	font-weight:300;
	line-height:1.2;
}


/* ENGRAVING */
.engraving-step .cart_item {
	border-top:1px solid #707173;
	padding:2em 0
}
.engraving-step .cart_item:first-child {
	border-top:none;
	padding-top:0
}
.engraving-step .cart_item:last-child {
	border-bottom:0
}
.engraving-step .product-name {
	text-align:center;
	margin-bottom:1em
}
.woocommerce .engraving-step .brm_gift_checkbox,
.woocommerce .engraving-step .product-engraving label { margin:0 }
.engraving-step .product-img img { max-width:90px }
.engraving-step .product-desc { margin-top:1em }
.engraving-step .brm_gift_checkbox label i { font-size:15px }

/* GUARANTEE */
.guarantee-step { font-size:16px; line-height:1.2 }
.guarantee-btn-container { text-align:center; margin-top:3.5em }
.woocommerce form .brm_guarantee_checkbox { margin:0 0 .4em 0 }
.woocommerce form .brm_guarantee_checkbox label { margin:0 }
.guarantee-more a { font-family: 'Abel', sans-serif; text-decoration:underline; font-size:80% }

/* PAYMENT */
.woocommerce-checkout caption span { display:none }
.payment-tab-contents .review-table caption .payment-tab { display:block }
#wizard #place_order { display:none }
.woocommerce-checkout .review-table { table-layout:auto;  border:none; font-size:23px; font-weight:300; }
/* invisible spaces */
.woocommerce-checkout .review-table th.product-name { padding-left:38% }
.woocommerce-checkout .review-table tfoot th{ font-weight:300; padding-left:45% }
#shipping_country_field select,
#billing_country_field select { width:100% }
#shipping_country_field .helper,
#billing_country_field .helper {
	margin-top:0.8em;
	display:block;
	font-size:90%;
	color:#eee;
}
#shipping_country_field .helper a,
#billing_country_field .helper a { text-decoration:underline; }
#shipping_country_field label .helper,
#billing_country_field label .helper { display:none }

.woocommerce-checkout .review-table thead th {
	font-size:25px;
	font-weight:600;
}
.woocommerce-checkout .review-table th.product-total { padding-top:0; padding-bottom:1.5em }
.woocommerce-checkout .review-table th.product-name { width:72%; padding-top:0; padding-bottom:1.5em }
.woocommerce-checkout .review-table th:last-child,
.woocommerce-checkout .review-table td:last-child { text-align:right }
.woocommerce-checkout .review-table tbody td {
	font-size:25px;
	font-weight:600;
	padding:1.5em 0.4375em
}
.woocommerce-checkout .review-table th,
.woocommerce-checkout .review-table td {
	border:none
}
.woocommerce-checkout .review-table thead th,
.woocommerce-checkout .review-table tbody td {
	border-bottom:1px solid #707173
}
.review-table .order-review-details {
	border-bottom:1px solid #707173
}
.review-table th,
.review-table td { padding-top:.55em; padding-bottom:0 }
.review-table .cart-subtotal th,
.review-table .cart-subtotal td { padding-top:1em }

.woocommerce-checkout .review-table td.product-name .wmc-product-img {
	max-width:none;
	width:38%;
	padding:0;
	text-align:right;
}
.woocommerce-checkout .review-table td.product-name .wmc-product-img img {
	max-height:130px;
	width:auto
}
.table-invisible-space-text,
.woocommerce-checkout .review-table td.product-name .wmc-product-desc {
	width:62%;
	text-align:center;
}
.woocommerce-checkout .review-table td.product-name .wmc-product-desc { font-weight:300 }
.woocommerce-checkout .review-table td.product-name .wmc-product-desc p {
	font-size:70%;
	font-weight:300;
	margin:0
}
.woocommerce-checkout .review-table td.product-name .wmc-product-desc p:first-child {
	margin-top:0.5em;
}
.woocommerce-checkout .review-table tfoot td { text-transform:uppercase }
.woocommerce-checkout .review-table tfoot tr.order-total th { font-weight:600 }
.woocommerce-checkout-payment,
.woocommerce-terms-and-conditions-wrapper { margin-top:1.7em; padding-top:1.7em; border-top:1px solid #707173 }
.woocommerce-terms-and-conditions-wrapper label { font-weight:300 }
.woocommerce-terms-and-conditions-checkbox-text a { text-decoration:underline }

/* REVIEW */
.order-review-tab caption .review-tab { display:block }
.order-review-tab .customer_details,
.order-review-tab .customer_details th,
.order-review-tab .customer_details td { border:none }
.order-review-tab .customer_details th { text-align:center }
.order-review-tab .customer_details td,
.order-review-tab .customer_details th {
	font-size:20px;
	font-weight:300;
	padding-top:0.7em;
	padding-bottom:0.7em;
}
.order-review-tab .customer_details th { font-weight:600 }
.order-review-tab h2 { font-size:23px; text-transform:uppercase }
.order-review-tab .order-review-details {
	border-bottom:1px solid #707173;
	padding-bottom:2em;
	margin-bottom:1.5em
}
.order-review-tab .customer_details {
	margin-top:1em;
	margin-bottom: 3.6em;
	padding-bottom:2em;
	border-bottom:1px solid #707173;
}

.order-review-tab .addresses {
	text-align:center;
	border-bottom:1px solid #707173;
	padding-bottom:2.5em;
}
.order-review-tab .addresses.shipping_shop .shipping-address{
	display:none
}
.order-review-tab .addresses > div {
	font-size:23px;
	display:inline-block;
	vertical-align:top;
	text-align:left;
	padding:0 5%;
	line-height:1.4;
	font-weight:300;
}
.order-review-tab .addresses > div .title h3 {
	font-weight:600;
	margin-bottom:0.5em;
	line-height:normal;
}

@media screen and (min-width: 1140px) {

	.woocommerce-checkout .site-main,
	.woocommerce-cart .site-main {
		padding-top:15px;
	}
	.woocommerce-checkout .entry-title a,
	.woocommerce-cart .entry-title a {
		font-size:60px;
	}
	#wizard #place_order, .woocommerce-billing-fields > h3 {
		font-size:30px;
	}
	.woocommerce-cart .wc-proceed-to-checkout a { font-size:24px; }

	.woocommerce-cart .shop_table td {
		font-size:28px;
	}
	/**
	* CHECKOUT
	*/
	.wizard > .steps .disabled a,
	.wizard > .steps .disabled a:active,
	.wizard > .steps a,
	.wizard > .steps a:active,
	.wizard > .steps a:hover {
		font-size:23px;
	}
	#brm_apply_engraving,
	.wizard > .actions > ul > li a { font-size:24px }
	.woocommerce form .form-row label {
		font-size:25px;
	}

	#billing_address_2_field label,
	#shipping_address_2_field label { display:none }
	#wizard #login_step_username,
	#wizard #login_step_password,
	#billing_civility_field,
	#billing_first_name_field,
	#billing_last_name_field,
	#billing_postcode_field,
	#billing_city_field,
	#billing_state_field,
	#billing_phone_field,
	#billing_email_field,
	#shipping_civility_field,
	#shipping_first_name_field,
	#shipping_last_name_field,
	#shipping_postcode_field,
	#shipping_city_field,
	#shipping_state_field,
	#shipping_phone_field,
	#shipping_email_field {
		float:left;
	}

	#billing_civility_field,
	#billing_first_name_field,
	#billing_postcode_field,
	#billing_city_field,
	#billing_state_field,
	#billing_phone_field,
	#shipping_civility_field,
	#shipping_first_name_field,
	#shipping_postcode_field,
	#shipping_city_field,
	#shipping_state_field,
	#shipping_phone_field {
		padding-right:2.14%;
		box-sizing:border-box
	}
	#wizard #login_step_username { margin-right:13.57% }
	#billing_state_field + #billing_postcode_field,
	#shipping_state_field + #shipping_postcode_field { padding-right:0 }
	#wizard #login_step_username,
	#wizard #login_step_password { width:38.92% }
	#billing_first_name_field,
	#billing_last_name_field,
	#shipping_first_name_field,
	#shipping_last_name_field { width:45% }
	#billing_civility_field,
	#shipping_civility_field { width:10% }
	#billing_postcode_field, #billing_phone_field,
	#shipping_postcode_field, #shipping_phone_field { width:20% }
	#billing_state_field, #billing_city_field,
	#shipping_state_field, #shipping_city_field { width:40% }
	#billing_email_field,
	#shipping_email_field { width:80% }
	#billing_company_field,
	#billing_phone_field,
	#billing_birthday_field,
	#shipping_company_field,
	#shipping_phone_field,
	#shipping_birthday_field { clear:both }

	#billing_country_field .helper { font-size:18px }

	.wizard-intro { font-size:25px }

	#wizard #place_order,
	#wizard .wizard-title,
	.woocommerce-billing-fields > h3 { font-size:30px }
	#wizard .login-step .btn { font-size:24px }

	/* SHIPPING */
	.woocommerce-shipping-fields label i { font-size:22px }

	/* GUARANTEE */
	.guarantee-step { font-size:20px }

	/* ENGRAVING */
	.engraving-step .brm_gift_checkbox label i { font-size:20px }
	.engraving-step .product-name {
		width:20%;
		display:inline-block;
		vertical-align:middle;
		margin:1em 0
	}
	.engraving-step .product-engraving {
		width:80%;
		display:inline-block;
		vertical-align:middle;
	}

	/* PAYMENT */
	.woocommerce-checkout .review-table { font-size:28px }
	.woocommerce-checkout .review-table thead th { font-size:30px }

	/* REVIEW */
	.order-review-tab .customer_details td,
	.order-review-tab .customer_details th {
		font-size:25px;
	}
	.order-review-tab h2,
	.order-review-tab .addresses > div { font-size:28px }
}